# Created by pyp2rpm-3.3.1
%global pypi_name PyPrind
%define oname pyprind

Name:           python-%{oname}
Version:        2.11.2
Release:        %mkrel 11
Summary:        Python Progress Bar and Percent Indicator Utility
Group:          Development/Python
License:        BSD
URL:            https://github.com/rasbt/pyprind
Source0:        https://files.pythonhosted.org/packages/source/p/pyprind/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(psutil)

%description
The PyPrind (Python Progress Indicator) module provides a progress bar and a
percentage indicator object that let you track the progress of a loop structure
or other iterative computation. Typical applications include the processing of
large data sets to provide an intuitive estimate at runtime about the progress
of the computation.For more details and examples please see the package...

%package -n     python3-%{oname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
The PyPrind (Python Progress Indicator) module provides a progress bar and a
percentage indicator object that let you track the progress of a loop structure
or other iterative computation. Typical applications include the processing of
large data sets to provide an intuitive estimate at runtime about the progress
of the computation.For more details and examples please see the package...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyprind

%check
%pytest

%files -n python3-%{oname} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sat Mar 01 2025 wally <wally> 2.11.2-11.mga10
+ Revision: 2155652
- rebuild for python3.13

* Sun Dec 22 2024 papoteur <papoteur> 2.11.2-10.mga10
+ Revision: 2128751
- require and use pytest

* Wed Dec 13 2023 papoteur <papoteur> 2.11.2-9.mga10
+ Revision: 2017864
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.11.2-8.mga9
+ Revision: 1822835
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 2.11.2-7.mga9
+ Revision: 1775583
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.11.2-6.mga9
+ Revision: 1732634
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.11.2-5.mga8
+ Revision: 1535070
- Mageia 8 Mass Rebuild

* Thu Oct 10 2019 tv <tv> 2.11.2-4.mga8
+ Revision: 1451061
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 2.11.2-3.mga7
+ Revision: 1351265
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.11.2-2.mga7
+ Revision: 1289793
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 kekepower <kekepower> 2.11.2-1.mga7
+ Revision: 1220340
- imported package python-pyprind

